import mqtt from 'mqtt';
export interface MqttHook {
    client: mqtt.Client | null;
    disconnect: () => void;
    reconnect: (options: mqtt.IClientOptions) => void;
    subscribe: (topicArray: string[], qos?: mqtt.QoS) => void;
    unSubscribe: (unTopic: string) => void;
    publish: (topic: string, message: string, qos?: mqtt.QoS) => void;
    registerEvent: (topic: string, callback: (topic: string, message: string) => void, vm?: any) => void;
    unRegisterEvent: (topic: string, vm?: any) => void;
    clearEvent: () => void;
}
export declare const connect: (_options: mqtt.IClientOptions) => void;
export declare const mqttHook: () => MqttHook;
